%define group Networking/Other
%define version 0.9.7

Name: bridge-utils
Version: %{version}
Release: 2mdk
Source0: http://bridge.sourceforge.net/bridge-utils/%{name}-%{version}.tar.bz2
Source1: bridge.sysconfig
Source2: bridge.init
Patch1:	%{name}-0.9.6-rootonly.patch.bz2
License:	GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: rpm-helper

Summary: Utilities for configuring the linux ethernet bridge
Group: %{group}
URL: http://bridge.sourceforge.net/
BuildRequires: kernel-headers

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l pl
Ten pakiet zawiera narzdzia przeznaczone do konfigurowania linuxowego
ethernet bridge (inteligentny switch). Linux ethernet bridge moe by
uyty do czenia kilku ethernetowych interfejsw sieciowych w jeden.
Poczenie jest w peni przeroczyste; hosty przyczone po jednej
stronie widz hosty z drugiej strony bezporednio.

%package devel
Summary:	Libraries for the linux ethernet bridge programs.
Summary(pl):	Biblioteki uywane do sterowania linuxowym bridge.
Group:		Development/C

%description devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i bibliotek konieczn do rozwoju
programw uywajcych 'libbridge' - interfejs do linuxowego ethernet
bridge.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
%configure
%make
make -C misc
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

cp misc/README doc/README.bidi
cp README doc
install misc/bidi %{buildroot}/%{_sbindir}/bidi
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}/%{_initrddir}

install %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/bridge
install %{SOURCE2} %{buildroot}/%{_initrddir}/bridge

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service bridge

%preun
%_preun_service bridge

%files
%defattr(-,root,root)
%doc doc/{README*,FAQ,FIREWALL,HOWTO,WISHLIST}
%doc %{_mandir}/man*/*
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/bridge
%attr(755,root,root) %config(noreplace) %{_initrddir}/bridge

%files devel
%defattr(-,root,root)
%doc %{_mandir}/man*/*
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Tue Jun 01 2004 Florin <florin@mandrakesoft.com> 0.9.7-2mdk
- add initscript and sysconf file

* Tue May 25 2004 Florin <florin@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add the bidi file from the misc directory

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.6-2mdk
- rebuild
- drop unapplied P0

* Fri Jan 10 2003 Florin <florin@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6
- update the rootonly patch
- comment out the opt patch

* Mon Apr 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.5-1mdk
- Bump release.
- Only include documentation in one package, not both.

* Wed Oct 17 2001 dam's <damien@mandrakesoft.com> 0.9.3-1mdk
- first mandrake package inspired by the PLD one.
